Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_SHMIOP_Connector Class Reference

SHMIOP-specific Connector bridge for pluggable protocols. More...

`#include <SHMIOP_Connector.h>`

Inheritance diagram for TAO_SHMIOP_Connector

[legend]
Collaboration diagram for TAO_SHMIOP_Connector:

[legend]
List of all members.

## Public Types
typedef TAO_Connect_Concurrency_Strategy< TAO_SHMIOP_Connection_Handler> | TAO_SHMIOP_CONNECT_CONCURRENCY_STRATEGY
typedef TAO_Connect_Creation_Strategy< TAO_SHMIOP_Connection_Handler> | TAO_SHMIOP_CONNECT_CREATION_STRATEGY
typedef ACE_Connect_Strategy< TAO_SHMIOP_Connection_Handler, ACE_MEM_CONNECTOR> | TAO_SHMIOP_CONNECT_STRATEGY
typedef ACE_Strategy_Connector< TAO_SHMIOP_Connection_Handler, ACE_MEM_CONNECTOR> | TAO_SHMIOP_BASE_CONNECTOR
## Public Methods
| TAO_SHMIOP_Connector (CORBA::Boolean flag = 0)
| Constructor.
| ~TAO_SHMIOP_Connector (void)
| Default destructor.
int | open (TAO_ORB_Core *orb_core)
int | close (void)
int | connect (TAO_GIOP_Invocation *invocation, TAO_Transport_Descriptor_Interface *desc, CORBA::Environment &ACE_TRY_ENV)
int | preconnect (const char *preconnections)
TAO_Profile* | create_profile (TAO_InputCDR& cdr)
virtual int | check_prefix (const char *endpoint)
virtual char | object_key_delimiter (void) const
## Protected Methods
virtual TAO_Profile* | make_profile (CORBA::Environment &ACE_TRY_ENV)
## Private Attributes
ACE_MEM_Addr | address_
| local address.
TAO_SHMIOP_CONNECT_STRATEGY | connect_strategy_
| Our connect strategy.
TAO_SHMIOP_BASE_CONNECTOR | base_connector_
| The connector initiating connection requests for SHMIOP.
CORBA::Boolean | lite_flag_
| Are we using GIOP lite??

## Detailed Description

SHMIOP-specific Connector bridge for pluggable protocols.

Concrete instance of the TAO_Connector class. Responsible for establishing a connection with a server and is called from the Connector_Registory.

## Member Typedef Documentation

typedef ACE_Strategy_Connector<TAO_SHMIOP_Connection_Handler, ACE_MEM_CONNECTOR> TAO_SHMIOP_Connector::TAO_SHMIOP_BASE_CONNECTOR

typedef TAO_Connect_Concurrency_Strategy<TAO_SHMIOP_Connection_Handler> TAO_SHMIOP_Connector::TAO_SHMIOP_CONNECT_CONCURRENCY_STRATEGY

typedef TAO_Connect_Creation_Strategy<TAO_SHMIOP_Connection_Handler> TAO_SHMIOP_Connector::TAO_SHMIOP_CONNECT_CREATION_STRATEGY

typedef ACE_Connect_Strategy<TAO_SHMIOP_Connection_Handler, ACE_MEM_CONNECTOR> TAO_SHMIOP_Connector::TAO_SHMIOP_CONNECT_STRATEGY

## Constructor & Destructor Documentation

TAO_SHMIOP_Connector::TAO_SHMIOP_Connector ( | CORBA::Boolean flag = 0 )

| Constructor.

TAO_SHMIOP_Connector::~TAO_SHMIOP_Connector ( | void )

| Default destructor.

## Member Function Documentation

virtual int TAO_SHMIOP_Connector::check_prefix ( | const char * endpoint )`[virtual]`

| Reimplemented from TAO_Connector.

int TAO_SHMIOP_Connector::close ( | void )

| Reimplemented from TAO_Connector.

int TAO_SHMIOP_Connector::connect ( | TAO_GIOP_Invocation * invocation,
| TAO_Transport_Descriptor_Interface * desc,
| CORBA::Environment & ACE_TRY_ENV )

| Reimplemented from TAO_Connector.

TAO_Profile* TAO_SHMIOP_Connector::create_profile ( | TAO_InputCDR & cdr )

| Reimplemented from TAO_Connector.

virtual TAO_Profile* TAO_SHMIOP_Connector::make_profile ( | CORBA::Environment & ACE_TRY_ENV )`[protected, virtual]`

| Reimplemented from TAO_Connector.

virtual char TAO_SHMIOP_Connector::object_key_delimiter ( | void ) const`[virtual]`

| Reimplemented from TAO_Connector.

int TAO_SHMIOP_Connector::open ( | TAO_ORB_Core * orb_core )

| Reimplemented from TAO_Connector.

int TAO_SHMIOP_Connector::preconnect ( | const char * preconnections )

| Reimplemented from TAO_Connector.

## Member Data Documentation

ACE_MEM_Addr TAO_SHMIOP_Connector::address_`[private]`

| local address.

TAO_SHMIOP_BASE_CONNECTOR TAO_SHMIOP_Connector::base_connector_`[private]`

| The connector initiating connection requests for SHMIOP.

TAO_SHMIOP_CONNECT_STRATEGY TAO_SHMIOP_Connector::connect_strategy_`[private]`

| Our connect strategy.

CORBA::Boolean TAO_SHMIOP_Connector::lite_flag_`[private]`

| Are we using GIOP lite??

The documentation for this class was generated from the following file:

- SHMIOP_Connector.h